%define fname	openexr

%define major		22
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		OpenEXR
Summary:	A high dynamic-range (HDR) image file format
Version:	2.2.0
%define subrel	1
Release:	%mkrel 4
Source:		http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz
Patch0:		openexr-git-pr233-security.patch
URL:		http://www.openexr.com
License:	BSD
Group:		Graphics/Utilities
BuildRequires:	ilmbase-devel >= %{version}
BuildRequires:	zlib-devel
BuildRequires:	git-core

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname OpenEXR 4 -d

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%autosetup -S git -n %{fname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# Remove doc files installed by make install, we package them in %files
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files
%doc AUTHORS ChangeLog NEWS README doc/*
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Dec 29 2017 luigiwalser <luigiwalser> 2.2.0-4.1.mga5
+ Revision: 1186907
- Backport upstream PR to fix CVE-2017-911[026] (mga#20912)

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 739717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 686714
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 677645
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 luigiwalser <luigiwalser> 2.2.0-1.mga5
+ Revision: 666901
- 2.2.0
- library major is now 22

* Fri Apr 25 2014 shlomif <shlomif> 2.1.0-1.mga5
+ Revision: 617985
- New version 2.1.0

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 534405
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 477838
- br zlib
- try build normally
- fltk is not required
- disable test prog
- new version 2.0.1

* Fri Jan 11 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 345071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sun Dec 02 2012 fwang <fwang> 1.7.1-1.mga3
+ Revision: 324982
- new version 1.7.1

* Fri Jan 14 2011 mikala <mikala> 1.7.0-1.mga2
+ Revision: 18057
- Drop mdk macros
- Remove BuildRoot
- imported package OpenEXR


* Mon Sep 20 2010 Tomas Kindl <supp@mandriva.org> 1.7.0-1mdv2011.0
+ Revision: 580287
- bump to 1.7.0
- remove most patches (not necessary anymore)
- fix missing header

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-5mdv2010.1
+ Revision: 521911
- rebuilt for 2010.1

* Sun Aug 02 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-4mdv2010.0
+ Revision: 407569
- P3: security fix for CVE-2009-1720
- P4: security fix for CVE-2009-1720
- P5: security fix for CVE-2009-1721

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.6.1-3mdv2009.0
+ Revision: 265273
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-2mdv2009.0
+ Revision: 209727
- added a gcc43 patch from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.6.1-1mdv2008.1
+ Revision: 141036
- restore BuildRoot

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to 1.6.1 version
    - new version
    - update summary and description
    - rediff patch 0
    - correct buildrequires
    - make use of %%major
    - new devel library policy
    - run bootstrap (needed by p0)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.0-3mdv2008.0
+ Revision: 64649
- remove unpackaged doc files in %%install
- package license (required for BSD)
- update autoconf buildrequire
- correct license
- new devel policy
- patch0: set it up so that -lpthread will be used when building against this lib rather than -pthread


* Sun Feb 25 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.4.0-2mdv2007.0
+ Revision: 125587
- Rebuilt against rpm-mandriva-setup 1.37.

* Tue Jan 30 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.4.0-1mdv2007.1
+ Revision: 115610
- Release 1.4.0.
- Remoted Patch0, Patch1.
- Added sources for release 1.4.0a.

* Sun Jan 28 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.2-4mdv2007.1
+ Revision: 114595
- %%{mkrel}.
- Import OpenEXR

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.2-3mdk
- C++ & libtool fixes

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 1.2.2-2mdk
- rebuild
- lost Per Oyvind's changes somehow :-(

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1.2.2-1mdk
- 1.2.2
- source URL

* Tue May 03 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2.1-3mdk
- fix build on older releases (libtool problem)
- %%{1}mdv2007.1

* Mon Oct 11 2004 Austin Acton <austin@mandrake.org> 1.2.1-2mdk
- fix license

* Mon Oct 11 2004 Austin Acton <austin@mandrake.org> 1.2.1-1mdk
- initial package

